WCSTOIMAX(3)

NAME
wcstoimax, wcstoumax - convert wide-character string to integer

SYNOPSIS
#include <stddef.h>
#include <inttypes.h>

intmax_t wcstoimax (const wchar_t *nptr, wchar_t **endptr, int base);
uintmax_t wcstoumax (const wchar_t *nptr, wchar_t **endptr, int base);

DESCRIPTION
These functions are just like wcstol() and wcstoul(), except that they return a value of type intmax_t and uintmax_t, respectively.

CONFORMING TO
C99, POSIX 1003.1-2003.

SEE ALSO
imaxabs(3), imaxdiv(3), strtoimax(3), strtoumax(3), wcstol(3), wcstoul(3)